## AgsOscMessage

AgsOscMessage — the OSC server side message

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_OSC_MESSAGE_GET_OBJ_MUTEX()
gint | ags_osc_message_sort_func ()
AgsOscMessage * | ags_osc_message_new ()

## Properties

gboolean | immediately | Read / Write
gpointer | message | Read / Write
guint | message-size | Read / Write
AgsOscConnection * | osc-connection | Read / Write
int | tv-fraction | Read / Write
int | tv-sec | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsOscMessage
            ╰── AgsOscXmlrpcMessage

## Includes

    #include <ags/audio/osc/ags_osc_message.h>

## Description

AgsOscMessage your OSC server side message.

## Functions

### AGS_OSC_MESSAGE_GET_OBJ_MUTEX()

    #define AGS_OSC_MESSAGE_GET_OBJ_MUTEX(obj) (&(((AgsOscMessage *) obj)->obj_mutex))

### ags_osc_message_sort_func ()

    gint
    ags_osc_message_sort_func (gconstpointer a,
                               gconstpointer b);

### ags_osc_message_new ()

    AgsOscMessage *
    ags_osc_message_new ();

Creates a new instance of AgsOscMessage

#### Returns

the new AgsOscMessage

Since: 3.0.0

## Property Details

### The `“immediately”` property

      “immediately”              gboolean

The immediately switch.

Owner: AgsOscMessage

Flags: Read / Write

Default value: FALSE

Since: 3.0.0

### The `“message”` property

      “message”                  gpointer

The message data.

Owner: AgsOscMessage

Flags: Read / Write

Since: 3.0.0

### The `“message-size”` property

      “message-size”             guint

The size of message in bytes.

Owner: AgsOscMessage

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“osc-connection”` property

      “osc-connection”           AgsOscConnection *

The assigned AgsOscConnection.

Owner: AgsOscMessage

Flags: Read / Write

Since: 3.0.0

### The `“tv-fraction”` property

      “tv-fraction”              int

The time value's fraction.

Owner: AgsOscMessage

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 3.0.0

### The `“tv-sec”` property

      “tv-sec”                   int

The time value in seconds.

Owner: AgsOscMessage

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 3.0.0